/******************************************************************************
 Simple Java Demo

 This program is designed to be the minimum java applet example to show the
 process of creating an application that can deliver a java applet to a web
 browser when requested. 
 
 - The main.cpp module is the standard start-up code that enables the web server. 
 - The project html directory contains index.htm and SimpleJava.class.  The 
   index.htm file is used to launch the java applet. 
 - SimpleJava.java is the java applet source file. It is located in the project
   directory. SimpleJava.java must be compiled with the Java SDK into the .class
   file BEFORE you can compile this application. Once you compile your .class
   file, be sure to copy it into the project html directory. In other words,
   when your project is ready to be compiled, the project html directory will
   contain: index.htm and SimpleJava.class files. 
 - This example was tested with MS Internet Explorer 6 and FireFox 1.03.
 
*****************************************************************************/

#include "predef.h"
#include <stdio.h>
#include <ctype.h>
#include <startnet.h>
#include <autoupdate.h>
#include <dhcpclient.h>
#include <netinterface.h>

const char *AppName = "JavaSimple";

extern "C" {
void UserMain(void * pd);
}

void UserMain(void * pd)
{
   InitializeStack();
   int EthernetInterface = GetFirstInterface();  // Get first interface identifier 
   InterfaceBlock *ib = GetInterFaceBlock( EthernetInterface );  // Get interface data 

   if (ib->netIP == 0)  // Check IP address for 0.0.0.0, and use DHCP if necessary 
   { 
      iprintf( "\r\nNo static IP address set, attempting DHCP\r\n"); 
      if ( GetDHCPAddress() != DHCP_OK ) 
         iprintf("*** DHCP Failed \r\n"); 
      else 
         iprintf( "DHCP IP Address: "); 
   } 
   else 
      iprintf("Static IP Address: "); 
   ShowIP(ib->netIP); iprintf("\r\n"); 
   
   OSChangePrio(MAIN_PRIO);
   StartHTTP();
   EnableAutoUpdate();
   iprintf("JavaSimple Application Started\n");

   while (1);
}







